Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "style-transfer",
    "input": {
      "model": "style-transfer",
      "content": "https://example.com/my-photo.jpg",
      "style": "https://example.com/art-style.jpg"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "style-transfer",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits5 credits
Toolstyle-transfer

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYesstyle-transfer
input.modelstringYesstyle-transfer
input.contentstringYesURL of the content image to modify
input.stylestringYesURL of the style image to apply
input.image_sizestringNoOutput size. Options: auto (default), 1024x1024, 1536x1024, 1024x1536
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "style-transfer",
    "input": {
      "model": "style-transfer",
      "content": "https://example.com/my-photo.jpg",
      "style": "https://example.com/art-style.jpg"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "style-transfer",
  "createdAt": "2024-01-15T10:30:00.000Z"
}